Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCInsertPKCreateCommand

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
          org.jboss.ejb.plugins.cmp.jdbc.JDBCInsertPKCreateCommand

All Implemented Interfaces:
  JDBCCreateCommand

Direct Known Subclasses:
  JDBCCreateEntityCommand, JDBCKeyGeneratorCreateCommand, JDBCPkSqlCreateCommand

public abstract class JDBCInsertPKCreateCommand
extends JDBCAbstractCreateCommand

Base class for create commands that actually insert the primary key value. If an exception processor is not supplied, this command will perform an additional query to determine if a DuplicateKeyException should be thrown.

Author:
  Jeremy Boynes

Field Summary
`protected String` | `existsSQL`

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
`createAllowed, debug, entity, exceptionProcessor, insertAfterEjbPostCreate, insertFields, insertSQL, log, securityManager, trace`

Constructor Summary
`JDBCInsertPKCreateCommand()`

Method Summary
`protected void` | `beforeInsert(EntityEnterpriseContext ctx)`
`void` | `init(JDBCStoreManager manager)`
`protected void` | `initExistsSQL()`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
`afterInsert, checkCreateAllowed, execute, executeInsert, generateFields, getGeneratedPKField, getPrimaryKey, initEntityCommand, initGeneratedFields, initInsertFields, initInsertSQL, isInsertField, performInsert, prepareStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### existsSQL

    protected String existsSQL

Constructor Detail

### JDBCInsertPKCreateCommand

    public JDBCInsertPKCreateCommand()

Method Detail

### init

    public void init(JDBCStoreManager manager)
              throws org.jboss.deployment.DeploymentException

  Specified by:
    `init` in interface `JDBCCreateCommand`
  Overrides:
    `init` in class `JDBCAbstractCreateCommand`
  Throws:
    `org.jboss.deployment.DeploymentException`

### initExistsSQL

    protected void initExistsSQL()

### beforeInsert

    protected void beforeInsert(EntityEnterpriseContext ctx)
                         throws javax.ejb.CreateException

  Overrides:
    `beforeInsert` in class `JDBCAbstractCreateCommand`
  Throws:
    `javax.ejb.CreateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.